Create FindAll Run
Starts a FindAll run.
This endpoint immediately returns a FindAll run object with status set to ‘queued’. You can get the run result snapshot using the GET /v1beta/findall/runs//result endpoint. You can track the progress of the run by:
- Polling the status using the GET /v1beta/findall/runs/ endpoint,
- Subscribing to real-time updates via the /v1beta/findall/runs//events endpoint,
- Or specifying a webhook with relevant event types during run creation to receive notifications.
Documentation Index
Fetch the complete documentation index at: https://docs.parallel.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Headers
Body
Input model for FindAll run.
Natural language objective of the FindAll run.
Type of the entity for the FindAll run.
List of match conditions for the FindAll run.
Generator for the FindAll run. One of base, core, pro, preview.
base, core, pro, preview Maximum number of matches to find for this FindAll run. Must be between 5 and 1000 (inclusive). May return fewer results.
List of entity names/IDs to exclude from results.
Metadata for the FindAll run.
Webhook for the FindAll run.
Response
Successful Response
FindAll run object with status and metadata.
ID of the FindAll run.
Status object for the FindAll run.
Generator for the FindAll run.
base, core, pro, preview Metadata for the FindAll run.
Timestamp of the creation of the run, in RFC 3339 format.
Timestamp of the latest modification to the FindAll run result, in RFC 3339 format.